Subject: Re: ["RFC PATCH" 1/2] powerpc/mm: Fix node look up with numa=off boot

From: Nathan Lynch <[email-masked]>
Date: Tue, 09 Jul 2019 09:56:34 -0500

Michael Ellerman <[email-masked]> writes:
> Nathan Lynch <[email-masked]> writes:
>> "Aneesh Kumar K.V" <[email-masked]> writes:
>>>> Just checking: do people still need numa=off? Seems like it's a
>>>> maintenance burden :-)
>>>> 
>>>
>>> That is used in kdump kernel.
>>
>> I see, thanks.
>
> That doesn't mean it's a good idea :)
>
> Does it actually reduce memory usage much? Last time I dug into the
> kdump kernel's usage of weird command line flags none of them really did
> anything useful.

I think it's intended to work around bugs in numa initialization, e.g.

https://www.suse.com/support/kb/doc/?id=7023399

Hopefully the original bug with numa/kdump interaction has been fixed?